Extensions (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.x509

## Class Extensions

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.Extensions

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class Extensions
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Extensions(Extension extension)` Base Constructor
    `Extensions(Extension[] extensions)` Base Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equivalent(Extensions other)`
    `ASN1ObjectIdentifier[]` | `getCriticalExtensionOIDs()`
    `Extension` | `getExtension(ASN1ObjectIdentifier oid)` return the extension represented by the object identifier passed in.
    `ASN1ObjectIdentifier[]` | `getExtensionOIDs()`
    `ASN1Encodable` | `getExtensionParsedValue(ASN1ObjectIdentifier oid)` return the parsed value of the extension represented by the object identifier passed in.
    `static Extensions` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static Extensions` | `getInstance(java.lang.Object obj)`
    `ASN1ObjectIdentifier[]` | `getNonCriticalExtensionOIDs()`
    `java.util.Enumeration` | `oids()` return an Enumeration of the extension field's object ids.
    `ASN1Primitive` | `toASN1Primitive()` Extensions ::= SEQUENCE SIZE (1..MAX) OF Extension Extension ::= SEQUENCE { extnId EXTENSION.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Extensions

          public Extensions(Extension extension)

      Base Constructor
      Parameters:
        `extension` - a single extension.

    - #### Extensions

          public Extensions(Extension[] extensions)

      Base Constructor
      Parameters:
        `extensions` - an array of extensions.

  - ### Method Detail

    - #### getInstance

          public static Extensions getInstance(ASN1TaggedObject obj,
                               boolean explicit)

    - #### getInstance

          public static Extensions getInstance(java.lang.Object obj)

    - #### oids

          public java.util.Enumeration oids()

      return an Enumeration of the extension field's object ids.

    - #### getExtension

          public Extension getExtension(ASN1ObjectIdentifier oid)

      return the extension represented by the object identifier passed in.
      Returns:
        the extension if it's present, null otherwise.

    - #### getExtensionParsedValue

          public ASN1Encodable getExtensionParsedValue(ASN1ObjectIdentifier oid)

      return the parsed value of the extension represented by the object identifier passed in.
      Returns:
        the parsed value of the extension if it's present, null otherwise.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

               Extensions        ::=   SEQUENCE SIZE (1..MAX) OF Extension

               Extension         ::=   SEQUENCE {
                  extnId            EXTENSION.&id ({ExtensionSet}),
                  critical          BOOLEAN DEFAULT FALSE,
                  extnValue         OCTET STRING }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### equivalent

          public boolean equivalent(Extensions other)

    - #### getExtensionOIDs

          public ASN1ObjectIdentifier[] getExtensionOIDs()

    - #### getNonCriticalExtensionOIDs

          public ASN1ObjectIdentifier[] getNonCriticalExtensionOIDs()

    - #### getCriticalExtensionOIDs

          public ASN1ObjectIdentifier[] getCriticalExtensionOIDs()